{
	saved_FirstTime[1]
	Init[()
	{
		if(saved_FirstTime = 1)
		{
			SetNationality(0); SetCrouching(); PlayAnimation(8); GiveWeapon(43); SetInvulnerable(true);
			PlayAnimation(8);
			saved_FirstTime = 0;
		}
	}]
	
	DelayReached[(s)
	{
		if(s = 1)
		{
			SetCrouching(); PlayAnimation(8);	
		}	
	}]
	
	Charge[()
	{
		SetRunning(); PlayAnimation(0); FollowPath("Brock_Charge", 0); FollowPathCallback(127, "Duck");
	}]
	
	Duck[()
	{
		SetCrouching(); PlayAnimation(8); TurnToLocation(31104,11600);
	}]
	
	ClearOut[()
	{
		SetPosition(11392,13696,128); FollowPath("Brock_CoverMe"); SetRunning(); PlayAnimation(0); FollowPathCallback(127,"Delay",4,1);
	}]
	
	ClearBuilding[()
	{
		SetState_Idle();
		SetState_Patrol(0);
		SetAttackDistance(14, 2);
		SetLineOfSight(1,180);	
		SetRunning(); 
		FollowPath("Brock_ClearBuilding",0); 
		FollowPathCallback(127, "ClearReady");	
	}]
	
	ClearReady[()
	{
		StopFollowingPath();
		SetCrouching();
		PlayAnimation(8);
	}]
	
	GoGraveyard[()
	{
		SetState_Patrol(0);
		PlayAnimation(0);
		SetAttackDistance(14, 2);
		SetLineOfSight(1,120);	
		FollowPath("Brock_Follow_1",0);
	}]
	
	ToFlak[()
	{
		StopFollowingPath();
		SetPosition(18035,39308);
		SetCrouching();
		PlayAnimation(8);	
	}]
	
	FlakFollow[()
	{
		SetState_Idle();
		FollowPath("Brock_Follow_2");
		SetRunning();
		PlayAnimation(0);
		FollowPathCallback(127, "TurnNFight");	
	}]
	
	TurnNFight[()
	{
		StopFollowingPath();
		SetState_Patrol(0);
		SetAttackDistance(14, 2);
		SetLineOfSight(1,120);	
	}]
	
	WarpEnd[()
	{
		SetPosition(30080,28032,208);
		FollowPath("Brock_Follow_3",0);	
	}]
	
	VicPath[()
	{
		StopFollowingPath();
		FollowPath("Brock_Follow_4");
		SetState_Idle();
		FollowPathCallback(127, "StandAround");
	}]
	
	StandAround[()
	{
		SetState_Idle();
		PlayAnimation(7);	
	}]
}